<?php
/**
 * wrockmetro Theme Customizer
 *
 * @package wrockmetro
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function wrockmetro_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
        
 // Theme important links started
   class wrockmetro_Important_Links extends WP_Customize_Control {

      public $type = "wrockmetro-important-links";

      public function render_content() {
      
		 echo '<ul><b>
			<li>' . esc_attr__( '* Fully Mobile Responsive', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Dedicated Option Panel', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Customize Theme Color', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* WooCommerce & bbPress Support', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* SEO Optimized', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Control Individual Meta Option like: Category, date, Author, Tags etc. ', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Full Support', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Google Fonts', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Theme Color Customization', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Custom CSS', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Website Layout', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Select Number of Columns', 'wrock-metro' ) . '</li>
			<li>' . esc_attr__( '* Website Width Control', 'wrock-metro' ) . '</li>
			</b></ul>
		 ';
         $important_links = array(
		 
            'theme-info' => array(
               'link' => esc_url('http://www.insertcart.com/product/wrock-metro/'),
               'text' => __('Wrock Metro Pro', 'wrock-metro'),
            ),
            'support' => array(
               'link' => esc_url('http://www.insertcart.com/contact-us/'),
               'text' => __('Contact us', 'wrock-metro'),
            ),         
			'Documentation' => array(
               'link' => esc_url('http://www.insertcart.com/wrock-metro-theme-setup-guide-and-documentation/'),
               'text' => __('Documentation', 'wrock-metro'),
            ),			 
         );
         foreach ($important_links as $important_link) {
            echo '<p><a target="_blank" href="' . $important_link['link'] . '" >' . esc_attr($important_link['text']) . ' </a></p>';
         }
               }

   }
      $wp_customize->add_section('wrockmetro_important_links', array(
      'priority' => 1,
      'title' => __('Upgrade to Pro', 'wrock-metro'),
   ));

   $wp_customize->add_setting('wrockmetro_important_links', array(
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'wrockmetro_links_sanitize'
   ));

   $wp_customize->add_control(new wrockmetro_Important_Links($wp_customize, 'important_links', array(
      'section' => 'wrockmetro_important_links',
      'settings' => 'wrockmetro_important_links'
   )));	 
                         
  $wp_customize->add_section( 'wrockmetro_responsive' , 
        array(
				'title'       => __( 'Theme Options & Settings', 'wrock-metro' ),
				'priority'    => 30,
				'description'	=> __('Upload Logo and Change Theme Settings Please Go to Theme options.', 'wrock-metro'). '<a href="' . esc_url(__(admin_url( 'admin.php?page=options-framework' ).'','wrock-metro')) . '" target="_blank">' . esc_attr__( ' Change Theme Options', 'wrock-metro' ) . '</a>'
					
		));
		
         //Show or Hide woo product
         $wp_customize->add_setting('reponsive',
	
		array(
			'default'			=> 'Go To wrockmetro Options',
			'type'				=> 'theme_mod',
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'wrockmetro_sanitize_text'
		)
	);
                 $wp_customize->add_control(new WP_customize_control ($wp_customize,'reponsive',
                         array (
                             
                             'settings'		=> 'reponsive',
                             'section'		=> 'wrockmetro_responsive',
                             'type'		=> 'text',    	 
                            'label'		=> __( 'Dashboard > Appearance > wrockmetro options', 'wrock-metro' )
			
                             
                         )  ));
}

add_action("customize_register","wrockmetro_customize_register");
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function wrockmetro_customize_preview_js() {
	wp_enqueue_script( 'wrockmetro_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'wrockmetro_customize_preview_js' );

function wrockmetro_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}
function wrockmetro_sanitize_nohtml( $nohtml ) {
	return wp_filter_nohtml_kses( $nohtml );
}
function wrockmetro_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug.
	$input = sanitize_key( $input );
	
	// Get list of choices from the control associated with the setting.
	$choices = $setting->manager->get_control( $setting->id )->choices;
	
	// If the input is a valid key, return it; otherwise, return the default.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}


function wrockmetro_registers() {
    wp_register_script( 'wrockmetro_jquery_ui', '//code.jquery.com/ui/1.10.4/jquery-ui.js', array("jquery"), '20120206', true  );
	wp_enqueue_script( 'wrockmetro_jquery_ui' );
	wp_register_script( 'wrockmetro_customizer_script', get_template_directory_uri() . '/js/wrockmetro_customizer.js', array("jquery","wrockmetro_jquery_ui"), '20120206', true  );
	wp_enqueue_script( 'wrockmetro_customizer_script' );
	
	wp_localize_script( 'wrockmetro_customizer_script', 'wrockmetro', array(		
		'pro' => __('Upgrade to Pro','wrock-metro'),
		'support' => __('Help & Support','wrock-metro')
		
	) );
}
add_action( 'customize_controls_enqueue_scripts', 'wrockmetro_registers' );


function wrockmetro_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}
function wrockmetro_sanitize_css( $css ) {
	return wp_strip_all_tags( $css );
}

function wrockmetro_sanitize_html( $html ) {
	return stripslashes(wp_filter_post_kses( $html ));
        
}

 