<?php
/**
 * Add meta box
 *
 */
function wrockpage_add_meta_boxes( $post ){
	add_meta_box( 'food_meta_box', __( '<span class="dashicons dashicons-layout"></span> Page Layout Select [Pro Only]', 'wrock-metro' ), 'wrockpage_build_meta_box', 'page', 'side', 'high' );
}
add_action( 'add_meta_boxes', 'wrockpage_add_meta_boxes' );
/**
 * Build custom field meta box
 *
 * @param post $post The post object
 */
function wrockpage_build_meta_box( $post ){
	// make sure the form request comes from WordPress
	wp_nonce_field( basename( __FILE__ ), 'wrockpagemeta_meta_box_nonce' );
	// retrieve the _food_wrockpagemeta current value
	$current_wrockpagemeta = get_post_meta( $post->ID, '_food_wrockpagemeta', true );
	
	$upgradetopro = 'Layout Select for current Page only - for website layout please choose from theme options <a href="' . esc_url('http://www.insertcart.com/product/wrock-metro/','wrock-metro') . '" target="_blank">' . esc_attr__( 'Get Wrock Metro Pro', 'wrock-metro' ) . '</a>';

	?>
	<div class='inside'>

		<h4><?php echo $upgradetopro; ?></h4>
		<p>
			<input type="radio" name="wrockpagemeta" value="rsd" <?php checked( $current_wrockpagemeta, 'rsd' ); ?> /> <?php _e('Right Sidebar - Default','wrock-metro'); ?><br />
			<input type="radio" name="wrockpagemeta" value="ls" <?php checked( $current_wrockpagemeta, 'ls' ); ?> /> <?php _e('Left Sidebar','wrock-metro'); ?><br/>
			<input type="radio" name="wrockpagemeta" value="lr" <?php checked( $current_wrockpagemeta, 'lr' ); ?> />     <?php _e('Left - Right Sidebars','wrock-metro'); ?> <br/>
			<input type="radio" name="wrockpagemeta" value="fc" <?php checked( $current_wrockpagemeta, 'fc' ); ?> /> <?php _e('Full Content - No Sidebar','wrock-metro'); ?>
		</p>

		

	</div>
	<?php
}
/**
 * Store custom field meta box data
 *
 * @param int $post_id The post ID.
 * @link https://codex.wordpress.org/Plugin_API/Action_Reference/save_post
 */
function wrockpage_save_meta_box_data( $post_id ){
	// verify meta box nonce
	if ( !isset( $_POST['wrockpagemeta_meta_box_nonce'] ) || !wp_verify_nonce( $_POST['wrockpagemeta_meta_box_nonce'], basename( __FILE__ ) ) ){
		return;
	}
	// return if autosave
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){
		return;
	}
  // Check the user's permissions.
	if ( ! current_user_can( 'edit_post', $post_id ) ){
		return;
	}
	// store custom fields values
	// wrockpagemeta string
	if ( isset( $_REQUEST['wrockpagemeta'] ) ) {
		update_post_meta( $post_id, '_food_wrockpagemeta', sanitize_text_field( $_POST['wrockpagemeta'] ) );
	}

}
add_action( 'save_post', 'wrockpage_save_meta_box_data' );